Subject: RE: PIM-SM Register packets + RSVP

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Mon, 6 Dec 1999 17:41:06 -0600

Venu,
I think this is implementation specific, but, this is what I remember seeing
with Cisco routers. I do not remember seeing encapsulation on the first PATH
message (strange but true). But, the first router (the sender's DR) used to
modify the PATH message (I could tell by the change in size of the PATH
message) and the receiver would be unable to decipher it. So, the receiver
would wait until it receives the next PATH message to send the RESV message.
I remember we got around it by sending a seed packet before we sent the
first PATH message. 

Cisco gave us a build with a change implemented with which the first router
internally sent a seed packet (or something like that) to set up the tree
before it sent the PATH message. This was a beta build and I remember seeing
some other problems with it. However, I don't know if this was ever
integrated in their future build or how they do it in the current version of
IOS.

Vidya

> -----Original Message-----
> From: Nair Venugopal [mailto:[email-masked]]
> Sent: Wednesday, December 01, 1999 1:23 AM
> To: [email-masked]
> Subject: PIM-SM Register packets + RSVP
> 
> 
> 
> When using RSVP with PIM-SM, the initial RSVP-PATH message 
> for a multicast
> destination would get PIM-Register-Encapsulated by the source's DR and
> get unicasted to the RP. 
> 
> This suggests that none of the intermediate routers between the
> source's DR and the RP would be able to process the RSVP 
> message since the
> protocol field in the outermost header of such an IP packet 
> would be PIM
> (103) instead of RSVP(46).  If so, no RSVP state can be 
> created between
> the source's DR and the RP until a native multicast path gets 
> established
> between them. 
> 
> Once a native multicast path gets established between the 
> source's DR and
> the RP, then everything would be fine. The next RSVP-PATH message sent
> would get processed by all intermediate routers between the 
> source and the
> RP. However, for shortlived sessions (eg. a "voice" call), 
> one would only
> get Best Effort forwarding between the source's DR and the RP. 
> 
> 1) Are there documented mechanisms by which one could ensure that the
>    initial RSVP-PATH message gets honored by intermediate routers
>    between the source and the RP if it is encapsulated inside 
> PIM-Register
>    packets?
> 
> 2) Does this fall under the charter of the PIM WG?
> 
> thanks.
> --Venu
> 
> --------------------------------------------------------------------
> Nair Venugopal  --- [email-masked] --- 3Com WAP Engineering
> 
> 
> 
> 
>